## ----eval=FALSE---------------------------------------------------------------
#  if (!requireNamespace("BiocManager", quietly = TRUE))
#      install.packages("BiocManager")
#  
#  BiocManager::install("SingleCellMultiModal")

## ----include=TRUE,results="hide",message=FALSE,warning=FALSE------------------
library(SingleCellMultiModal)
library(MultiAssayExperiment)

## -----------------------------------------------------------------------------
scNMT("mouse_gastrulation", mode = "*", dry.run = TRUE)

## -----------------------------------------------------------------------------
scNMT("mouse_gastrulation")

## ----message=FALSE------------------------------------------------------------
nmt <- scNMT("mouse_gastrulation", mode = c("*_DHS", "*_cgi", "*_genebody"),
    dry.run = FALSE)
nmt

## -----------------------------------------------------------------------------
rownames(nmt)

## -----------------------------------------------------------------------------
sampleMap(nmt)

## -----------------------------------------------------------------------------
head(assay(nmt, "acc_DHS"))[, 1:4]

## -----------------------------------------------------------------------------
head(assay(nmt, "met_DHS"))[, 1:4]

## -----------------------------------------------------------------------------
sessionInfo()

